%
% This file is used in  
%   https://gitlab.inria.fr/line/aide-group/aide/-/blob/master/etc/tex_to_pdf.sh
% and command are documented in http://aide-line.inria.fr/build/www/etc.html#.tex_to_pdf
%

% Defines a minimal layout for pdf display

\documentclass[a4paper,12pt,landscape,pdftoolbar=false,pdfmenubar=false]{article}
\pagestyle{empty} 
\topmargin 0cm \oddsidemargin 0cm \evensidemargin 0cm 
\setlength{\parindent}{0in} 
\setlength{\parskip}{3mm} 
\usepackage[margin=2cm]{geometry}

% Here are the used packages

\usepackage[utf8]{inputenc}
\DeclareUnicodeCharacter{00B0}{\textsuperscript{o}}

\usepackage{hyperref}
\usepackage{graphicx}
\usepackage{amsmath}\usepackage{amssymb}\usepackage{amsfonts}
\usepackage{array}
\usepackage{times}
\usepackage{color}
%\usepackage{algpseudocode}\usepackage{algorithm}
\usepackage{listings}

% Here is tha macro for conditional compilation

\def\aidebuild {}

% Here are some used commands

\newcommand{\deq}{\stackrel {\rm def}{=}} 
\newcommand{\eqline}[1]{~\vspace{0.3cm}\\\centerline{$#1$}\vspace{0.3cm}\\}
\newcommand{\tab}{\hphantom{6mm}}
\newcommand{\hhref}[1]{\href{#1}{#1}}

% Here are some homemade commands to define minimal slides

\newcommand{\slide}[1]{\clearpage\fbox{\parbox[t][16.5cm][t]{\textwidth}{\Huge #1}}\newpage}
\newcommand{\stitle}[1]{~\vspace{1cm}\\\centerline{\fontsize{40}{50}\selectfont \bf #1}\vspace{0.5cm}\\}
\newcommand{\sright}[1]{\begin{flushright}#1\tab\end{flushright}}
\newcommand{\scenter}[1]{\begin{center}#1\end{center}}
\newcommand{\stwo}[4]{\begin{tabular}{ll}\parbox{#1\textwidth}{#3}&\parbox{#2\textwidth}{#4}\end{tabular}}

\begin{document}

\subsection*{Quadratic-linear profiles}

A quadratic-linear combines the interest of a ${\cal L}^2$ quadratic profile for low magnitude values, which correspond to an optimal profile for a Gaussian normal noise, with a ${\cal L}^1$ linear profile for higher magnitudes which is more robust.
It is defined\footnote{See for the derivations:\url{https://gitlab.inria.fr/line/aide-group/backwardtuning/-/raw/master/src/quadlin.mpl}} as:
\eqline{f(w) \deq \frac{w^2}{w_\bullet + |w|}
  = \frac{w^2}{w_\bullet} + O\left(w^3\right)
  = |w| - w_\bullet + O\left(\frac{1}{w}\right), \mbox{ with }
  f'(w) = w \frac{(2 \, w_\bullet + |w|)}{(w_\bullet + |w|)^2}}
while $f(0) = f'(0) = 0, f''(0) = 2 / w_\bullet$ and $w = \pm w_\bullet$, with $f(\pm w_\bullet) = w_\bullet / 2$ and $f'(\pm w_\bullet) = 3/4$, with $f''(\pm w_\bullet) = f''(0) / 8$, corresponds to the value below which the profile is more quadratic and above which the profile is more linear. This is illustrated in Fig.~\ref{quadlin}.

\begin{figure}[htbp]
\centerline{\includegraphics[width=0.4\textwidth,height=8cm]{./quadlin.jpg}}
\caption{Drawing of some quadratic-linear profiles for $w_\bullet = [1/4, 1/2, 1, 2, 4]$, i.e., from the sharpest to the profile.}
\label{quadlin}
\end{figure}

When minimizing a criterion of the form ${\cal L}(w) \deq {\cal C}(w) + f(w) / \upsilon$ for a cost function ${\cal C}(\cdot)$ the normal equation $\partial_w {\cal L}(w) = 0$ yields $w \simeq \upsilon \, \frac{(w_\bullet + |\hat{w}|)^2}{(2 \, w_\bullet + |\hat{w}|)} \, \partial_w {\cal C}(w)$, consideing a previous best estimation $\hat{w}$ of $w$, thus a closed-form iterative approximation, where $\upsilon$ is a meta parameter adjusted to guaranty the convergence.



\end{document}
